Loading...
Searching...
No Matches
ON_ObjRefEvaluationParameter Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_objref.h>`

## Public Member Functions

| ON_ObjRefEvaluationParameter ()
| ~ON_ObjRefEvaluationParameter ()
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

int | m_t_type
double | m_t [4]
ON_Interval | m_s [3]
ON_COMPONENT_INDEX | m_t_ci

## Detailed Description

Definition at line 20 of file opennurbs_objref.h.

## Constructor & Destructor Documentation

## ON_ObjRefEvaluationParameter()

ON_ObjRefEvaluationParameter::ON_ObjRefEvaluationParameter | ( |  | ) |

## ~ON_ObjRefEvaluationParameter()

ON_ObjRefEvaluationParameter::~ON_ObjRefEvaluationParameter | ( |  | ) |

## Member Function Documentation

## Default()

void ON_ObjRefEvaluationParameter::Default | ( |  | ) |

## Read()

bool ON_ObjRefEvaluationParameter::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_ObjRefEvaluationParameter::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_s

ON_Interval ON_ObjRefEvaluationParameter::m_s[3]

Definition at line 95 of file opennurbs_objref.h.

## m_t

double ON_ObjRefEvaluationParameter::m_t[4]

Definition at line 94 of file opennurbs_objref.h.

## m_t_ci

ON_COMPONENT_INDEX ON_ObjRefEvaluationParameter::m_t_ci

Definition at line 96 of file opennurbs_objref.h.

## m_t_type

int ON_ObjRefEvaluationParameter::m_t_type

Definition at line 90 of file opennurbs_objref.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_objref.h